summaryrefslogtreecommitdiff
path: root/source4/utils/tests/test_samba_tool.sh
diff options
context:
space:
mode:
authorKai Blin <kai@samba.org>2010-10-23 19:27:26 -0700
committerKai Blin <kai@samba.org>2010-10-28 07:25:16 +0000
commitb73a05e4e184238614d73c1519f2880cd946908d (patch)
tree5405be11f54e857eeb9b74ca46121ea0b2aea34e /source4/utils/tests/test_samba_tool.sh
parent5634f55cc8d9eb0cca01f621939cee724271ecb0 (diff)
downloadsamba-b73a05e4e184238614d73c1519f2880cd946908d.tar.gz
samba-b73a05e4e184238614d73c1519f2880cd946908d.tar.bz2
samba-b73a05e4e184238614d73c1519f2880cd946908d.zip
s4 net: rename to samba-tool in order to not clash with s3 net
Autobuild-User: Kai Blin <kai@samba.org> Autobuild-Date: Thu Oct 28 07:25:16 UTC 2010 on sn-devel-104
Diffstat (limited to 'source4/utils/tests/test_samba_tool.sh')
-rwxr-xr-xsource4/utils/tests/test_samba_tool.sh40
1 files changed, 40 insertions, 0 deletions
diff --git a/source4/utils/tests/test_samba_tool.sh b/source4/utils/tests/test_samba_tool.sh
new file mode 100755
index 0000000000..0fb4c2afa8
--- /dev/null
+++ b/source4/utils/tests/test_samba_tool.sh
@@ -0,0 +1,40 @@
+#!/bin/sh
+# Blackbox tests for samba-tool
+
+SERVER=$1
+USERNAME=$2
+PASSWORD=$3
+DOMAIN=$4
+shift 4
+
+failed=0
+
+samba4bindir="$BUILDDIR/bin"
+smbclient="$samba4bindir/smbclient$EXEEXT"
+samba_tool="$samba4bindir/samba-tool$EXEEXT"
+
+testit() {
+ name="$1"
+ shift
+ cmdline="$*"
+ echo "test: $name"
+ $cmdline
+ status=$?
+ if [ x$status = x0 ]; then
+ echo "success: $name"
+ else
+ echo "failure: $name"
+ failed=`expr $failed + 1`
+ fi
+ return $status
+}
+
+testit "Test login with --machine-pass without kerberos" $VALGRIND $smbclient -c 'ls' $CONFIGURATION //$SERVER/tmp --machine-pass -k no
+
+testit "Test login with --machine-pass and kerberos" $VALGRIND $smbclient -c 'ls' $CONFIGURATION //$SERVER/tmp --machine-pass -k yes
+
+testit "time" $VALGRIND $samba_tool time $SERVER $CONFIGURATION -W "$DOMAIN" -U"$USERNAME%$PASSWORD" $@
+
+# FIXME: testit "domainlevel.show" $VALGRIND $samba_tool domainlevel show $CONFIGURATION
+
+exit $failed